"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RpcParamsPipe = exports.RpcHandler = void 0;
const common_1 = require("@nestjs/common");
const constants_1 = require("../constants");
const RpcHandler = () => {
    return (0, common_1.applyDecorators)((0, common_1.SetMetadata)(constants_1.JsonRpcMetadataKey, true), (0, common_1.Injectable)());
};
exports.RpcHandler = RpcHandler;
// export function InjectContext(): PropertyDecorator {
//   return (target, key) => {
//     Inject(RPC_CONTEXT)(target, key);
//   };
// }
const RpcParamsPipe = (pipe) => {
    return (target, key, index) => {
        if (!key) {
            throw Error('key is undefined');
        }
        const args = Reflect.getMetadata(constants_1.JsonRpcMetadataKeyParamPipe, target.constructor, key) || {};
        Reflect.defineMetadata(constants_1.JsonRpcMetadataKeyParamPipe, Object.assign(Object.assign({}, args), { [`params:${index}`]: pipe }), target.constructor, key);
    };
};
exports.RpcParamsPipe = RpcParamsPipe;
//# sourceMappingURL=index.js.map