"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.JsonRpcController = void 0;
const tslib_1 = require("tslib");
const common_1 = require("@nestjs/common");
const service_1 = require("../../util/service");
const input_data_pipe_1 = require("../../util/pipe/input-data.pipe");
const rpc_error_exception_filter_1 = require("../filter/rpc-error-exception.filter");
let JsonRpcController = class JsonRpcController {
    async handler(body) {
        return this.handlerService.runRpc(body);
    }
};
exports.JsonRpcController = JsonRpcController;
tslib_1.__decorate([
    (0, common_1.Inject)(service_1.HandlerService),
    tslib_1.__metadata("design:type", service_1.HandlerService)
], JsonRpcController.prototype, "handlerService", void 0);
tslib_1.__decorate([
    (0, common_1.Post)(''),
    (0, common_1.UseFilters)(new rpc_error_exception_filter_1.RpcErrorExceptionFilter()),
    tslib_1.__param(0, (0, common_1.Body)(input_data_pipe_1.InputDataPipe)),
    tslib_1.__metadata("design:type", Function),
    tslib_1.__metadata("design:paramtypes", [Object]),
    tslib_1.__metadata("design:returntype", Promise)
], JsonRpcController.prototype, "handler", null);
exports.JsonRpcController = JsonRpcController = tslib_1.__decorate([
    (0, common_1.Controller)('/')
], JsonRpcController);
//# sourceMappingURL=json-rpc.controller.js.map