"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.InputDataPipe = void 0;
const tslib_1 = require("tslib");
const common_1 = require("@nestjs/common");
const constants_1 = require("../../../constants");
const types_1 = require("../../../types");
const utils_1 = require("../../../utils");
let InputDataPipe = class InputDataPipe {
    transform(value) {
        if (Array.isArray(value)) {
            const resultValue = [];
            for (const item of value) {
                try {
                    resultValue.push(this.zodInputData.parse(item));
                }
                catch (e) {
                    throw this.getError(item);
                }
            }
            return resultValue;
        }
        else {
            try {
                return this.zodInputData.parse(value);
            }
            catch (e) {
                throw this.getError(value);
            }
        }
    }
    getError(value) {
        const error = (0, utils_1.createError)(types_1.ErrorCodeType.InvalidRequest);
        if (typeof value === 'object' &&
            value !== null &&
            'id' in value &&
            (typeof value['id'] === 'string' || typeof value['id'] === 'number')) {
            const id = parseInt(`${value['id']}`);
            error.id = isNaN(id) ? null : id;
        }
        return error;
    }
};
exports.InputDataPipe = InputDataPipe;
tslib_1.__decorate([
    (0, common_1.Inject)(constants_1.ZOD_INPUT_DATA),
    tslib_1.__metadata("design:type", Object)
], InputDataPipe.prototype, "zodInputData", void 0);
exports.InputDataPipe = InputDataPipe = tslib_1.__decorate([
    (0, common_1.Injectable)()
], InputDataPipe);
//# sourceMappingURL=input-data.pipe.js.map