"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ExplorerService = void 0;
const tslib_1 = require("tslib");
const common_1 = require("@nestjs/common");
const core_1 = require("@nestjs/core");
const constants_1 = require("../../../constants");
let ExplorerService = class ExplorerService {
    explore() {
        const modules = [...this.modulesContainer.values()];
        return modules
            .reduce((acum, module) => (acum.push(...module.providers.values()), acum), [])
            .map((instanceWrapper) => {
            const { instance } = instanceWrapper;
            if (!instance) {
                return undefined;
            }
            const metadata = Reflect.getMetadata(constants_1.JsonRpcMetadataKey, instance.constructor);
            return metadata ? instance.constructor : undefined;
        })
            .filter((i) => !!i);
    }
};
exports.ExplorerService = ExplorerService;
tslib_1.__decorate([
    (0, common_1.Inject)(core_1.ModulesContainer),
    tslib_1.__metadata("design:type", core_1.ModulesContainer)
], ExplorerService.prototype, "modulesContainer", void 0);
exports.ExplorerService = ExplorerService = tslib_1.__decorate([
    (0, common_1.Injectable)()
], ExplorerService);
//# sourceMappingURL=explorer.service.js.map