import { PipeTransform, Type } from '@nestjs/common';
import { PayloadRpc, PayloadRpcData, RpcResult } from '../../../types';
import { RpcErrorObject } from '../../../types';
type toString<T> = T extends string ? T : never;
export declare class HandlerService {
    private readonly mapHandler;
    private readonly moduleRef;
    private readonly asyncIterate;
    private mapInjectPipe;
    runRpc(data: PayloadRpcData): Promise<RpcResult | RpcErrorObject | Array<RpcResult | RpcErrorObject>>;
    private callRpc;
    callHandler(rpcData: PayloadRpc): Promise<RpcResult | never>;
    getParamsForHandler<T extends object>(nameSpaceInst: T, methodeName: toString<keyof T>, params: PayloadRpc['params']): Promise<PayloadRpc['params'] | never>;
    getPipeByType<T extends Type<PipeTransform> | PipeTransform>(pipe: T): Promise<PipeTransform>;
}
export {};
