"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UtilModule = void 0;
const tslib_1 = require("tslib");
const common_1 = require("@nestjs/common");
const core_1 = require("@nestjs/core");
const constants_1 = require("../../constants");
const providers_1 = require("../../providers");
const service_1 = require("./service");
const zod_input_data_provider_1 = require("../../providers/zod-input-data.provider");
const input_data_pipe_1 = require("./pipe/input-data.pipe");
let UtilModule = class UtilModule {
    onApplicationBootstrap() {
        const handlerList = this.explorerService.explore();
        for (const handler of handlerList) {
            const instance = this.moduleRef.get(handler, { strict: false });
            if (!instance) {
                return;
            }
            this.mapHandler.set(handler.name, instance);
        }
    }
};
exports.UtilModule = UtilModule;
tslib_1.__decorate([
    (0, common_1.Inject)(constants_1.MAP_HANDLER),
    tslib_1.__metadata("design:type", Map)
], UtilModule.prototype, "mapHandler", void 0);
tslib_1.__decorate([
    (0, common_1.Inject)(service_1.ExplorerService),
    tslib_1.__metadata("design:type", service_1.ExplorerService)
], UtilModule.prototype, "explorerService", void 0);
tslib_1.__decorate([
    (0, common_1.Inject)(core_1.ModuleRef),
    tslib_1.__metadata("design:type", core_1.ModuleRef)
], UtilModule.prototype, "moduleRef", void 0);
exports.UtilModule = UtilModule = tslib_1.__decorate([
    (0, common_1.Module)({
        controllers: [],
        providers: [
            providers_1.mapHandlerStoreProvider,
            service_1.HandlerService,
            service_1.ExplorerService,
            providers_1.AsyncIterate,
            zod_input_data_provider_1.zodInputDataProvider,
            input_data_pipe_1.InputDataPipe,
        ],
        exports: [
            providers_1.mapHandlerStoreProvider,
            service_1.HandlerService,
            providers_1.AsyncIterate,
            zod_input_data_provider_1.zodInputDataProvider,
            input_data_pipe_1.InputDataPipe,
        ],
    })
], UtilModule);
//# sourceMappingURL=util.module.js.map