"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RpcWsErrorExceptionFilter = void 0;
const tslib_1 = require("tslib");
const common_1 = require("@nestjs/common");
const ws_1 = require("ws");
const utils_1 = require("../../../utils");
const constants_1 = require("../constants");
let RpcWsErrorExceptionFilter = class RpcWsErrorExceptionFilter {
    catch(exception, host) {
        const body = (0, utils_1.getBodyError)(exception);
        const client = host.switchToWs().getClient();
        if (client instanceof ws_1.WebSocket) {
            client.send(JSON.stringify({ event: constants_1.WS_EVENT_NAME, data: body }));
        }
        else {
            client.emit(constants_1.WS_EVENT_NAME, body);
        }
    }
};
exports.RpcWsErrorExceptionFilter = RpcWsErrorExceptionFilter;
exports.RpcWsErrorExceptionFilter = RpcWsErrorExceptionFilter = tslib_1.__decorate([
    (0, common_1.Catch)()
], RpcWsErrorExceptionFilter);
//# sourceMappingURL=rpc-ws-error-exception.filter.js.map