"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WebSocketGatewayService = void 0;
const tslib_1 = require("tslib");
const websockets_1 = require("@nestjs/websockets");
const common_1 = require("@nestjs/common");
const service_1 = require("../../util/service");
const input_data_pipe_1 = require("../../util/pipe/input-data.pipe");
const constants_1 = require("../constants");
const rpc_ws_error_exception_filter_1 = require("../filter/rpc-ws-error-exception.filter");
let WebSocketGatewayService = class WebSocketGatewayService {
    async run(body) {
        const result = await this.handlerService.runRpc(body);
        return { data: result, event: constants_1.WS_EVENT_NAME };
    }
};
exports.WebSocketGatewayService = WebSocketGatewayService;
tslib_1.__decorate([
    (0, common_1.Inject)(service_1.HandlerService),
    tslib_1.__metadata("design:type", service_1.HandlerService)
], WebSocketGatewayService.prototype, "handlerService", void 0);
tslib_1.__decorate([
    (0, common_1.UsePipes)(input_data_pipe_1.InputDataPipe),
    (0, common_1.UseFilters)(new rpc_ws_error_exception_filter_1.RpcWsErrorExceptionFilter()),
    (0, websockets_1.SubscribeMessage)(constants_1.WS_EVENT_NAME),
    tslib_1.__param(0, (0, websockets_1.MessageBody)()),
    tslib_1.__metadata("design:type", Function),
    tslib_1.__metadata("design:paramtypes", [Object]),
    tslib_1.__metadata("design:returntype", Promise)
], WebSocketGatewayService.prototype, "run", null);
exports.WebSocketGatewayService = WebSocketGatewayService = tslib_1.__decorate([
    (0, websockets_1.WebSocketGateway)()
], WebSocketGatewayService);
//# sourceMappingURL=web-socket-gateway.service.js.map