"use strict";
var NestjsJsonRpcModule_1;
Object.defineProperty(exports, "__esModule", { value: true });
exports.NestjsJsonRpcModule = void 0;
const tslib_1 = require("tslib");
const common_1 = require("@nestjs/common");
const core_1 = require("@nestjs/core");
const types_1 = require("./types");
const modules_1 = require("./modules");
let NestjsJsonRpcModule = NestjsJsonRpcModule_1 = class NestjsJsonRpcModule {
    static forRoot(options) {
        const providers = [];
        const { transport } = options;
        switch (options.transport) {
            case types_1.TransportType.HTTP: {
                const httpModule = modules_1.HttpTransportModule.forRoot(providers, [modules_1.UtilModule]);
                return {
                    module: NestjsJsonRpcModule_1,
                    imports: [
                        ...(options.imports || []),
                        httpModule,
                        core_1.RouterModule.register([
                            {
                                path: options.path,
                                module: modules_1.HttpTransportModule,
                            },
                        ]),
                    ],
                    exports: [httpModule],
                };
            }
            case types_1.TransportType.WS: {
                const wsModule = modules_1.WsSocketTransportModule.forRoot(options.wsConfig, providers, [modules_1.UtilModule]);
                return {
                    module: NestjsJsonRpcModule_1,
                    imports: [...(options.imports || []), wsModule],
                    exports: [wsModule],
                };
            }
            default: {
                throw new Error(`Transport ${transport} not implement`);
            }
        }
    }
};
exports.NestjsJsonRpcModule = NestjsJsonRpcModule;
exports.NestjsJsonRpcModule = NestjsJsonRpcModule = NestjsJsonRpcModule_1 = tslib_1.__decorate([
    (0, common_1.Module)({
        controllers: [],
        providers: [],
        exports: [],
    })
], NestjsJsonRpcModule);
//# sourceMappingURL=nestjs-json-rpc.module.js.map