import { Provider } from '@nestjs/common';
import { PayloadRpc } from '../types';
type ParamsReturn<R> = R extends (...arg: any) => infer P ? P extends Promise<infer T> ? T extends [infer K, ...any] ? K : T : P : never;
export type IterateFactory<I extends unknown[], C extends (...arg: any[]) => any> = {
    createIterator: (iterateObject: I, callback: C) => {
        [Symbol.asyncIterator](): GeneralAsyncIterator<C, I>;
    };
};
declare class GeneralAsyncIterator<C extends (...arg: any[]) => any, K extends unknown[], T = K[number], TReturn = ParamsReturn<C>> {
    private iterateObject;
    private callback;
    private counter;
    private maxLimit;
    constructor(iterateObject: K, callback: C);
    next(): Promise<IteratorYieldResult<TReturn> | {
        done: true;
    }>;
}
export declare const AsyncIterate: Provider<IterateFactory<PayloadRpc['params'], (item: PayloadRpc['params'][number], index: number) => PayloadRpc['params'][number]>>;
export {};
