import { z } from 'zod';
declare const zRpcErrorData: z.ZodObject<{
    title: z.ZodString;
    description: z.ZodOptional<z.ZodString>;
}, "strip", z.ZodTypeAny, {
    title: string;
    description?: string | undefined;
}, {
    title: string;
    description?: string | undefined;
}>;
export declare const ZRpcError: z.ZodObject<{
    jsonrpc: z.ZodLiteral<"2.0">;
    error: z.ZodObject<{
        message: z.ZodString;
        code: z.ZodNumber;
        data: z.ZodOptional<z.ZodObject<{
            title: z.ZodString;
            description: z.ZodOptional<z.ZodString>;
        }, "strip", z.ZodTypeAny, {
            title: string;
            description?: string | undefined;
        }, {
            title: string;
            description?: string | undefined;
        }>>;
    }, "strip", z.ZodTypeAny, {
        code: number;
        message: string;
        data?: {
            title: string;
            description?: string | undefined;
        } | undefined;
    }, {
        code: number;
        message: string;
        data?: {
            title: string;
            description?: string | undefined;
        } | undefined;
    }>;
    id: z.ZodUnion<[z.ZodNumber, z.ZodNull]>;
}, "strip", z.ZodTypeAny, {
    error: {
        code: number;
        message: string;
        data?: {
            title: string;
            description?: string | undefined;
        } | undefined;
    };
    jsonrpc: "2.0";
    id: number | null;
}, {
    error: {
        code: number;
        message: string;
        data?: {
            title: string;
            description?: string | undefined;
        } | undefined;
    };
    jsonrpc: "2.0";
    id: number | null;
}>;
export type RpcErrorObject = z.infer<typeof ZRpcError>;
export type RpcErrorData = z.infer<typeof zRpcErrorData>;
export {};
