"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ZRpcError = void 0;
const zod_1 = require("zod");
const payloade_1 = require("./payloade");
const zRpcIdError = zod_1.z.union([zod_1.z.number(), zod_1.z.null()]);
const zRpcErrorData = zod_1.z.object({
    title: zod_1.z.string(),
    description: zod_1.z.string().optional(),
});
const zRpcError = zod_1.z.object({
    message: zod_1.z.string(),
    code: zod_1.z.number(),
    data: zRpcErrorData.optional(),
});
exports.ZRpcError = zod_1.z.object({
    jsonrpc: payloade_1.zVersion,
    error: zRpcError,
    id: zRpcIdError,
});
//# sourceMappingURL=error-payloade.js.map