import { z } from 'zod';
declare const literalSchema: z.ZodUnion<[z.ZodString, z.ZodNumber, z.ZodBoolean, z.ZodNull]>;
type Literal = z.infer<typeof literalSchema>;
type Json = Literal | {
    [key: string]: Json;
} | Json[];
export declare const zVersion: z.ZodLiteral<"2.0">;
export declare const ZPayloadRpc: z.ZodObject<{
    jsonrpc: z.ZodLiteral<"2.0">;
    method: z.ZodEffects<z.ZodString, {
        spaceName: string;
        methodName: string;
    }, string>;
    params: z.ZodEffects<z.ZodUnion<[z.ZodArray<z.ZodUnion<[z.ZodString, z.ZodNumber, z.ZodBoolean, z.ZodNull, z.ZodType<Json, z.ZodTypeDef, Json>]>, "many">, z.ZodRecord<z.ZodString, z.ZodUnion<[z.ZodString, z.ZodNumber, z.ZodBoolean, z.ZodNull, z.ZodType<Json, z.ZodTypeDef, Json>]>>]>, Json[], Json[] | Record<string, Json>>;
    id: z.ZodUnion<[z.ZodEffects<z.ZodString, number, string>, z.ZodNumber]>;
}, "strip", z.ZodTypeAny, {
    params: Json[];
    jsonrpc: "2.0";
    method: {
        spaceName: string;
        methodName: string;
    };
    id: number;
}, {
    params: (Json[] | Record<string, Json>) & (Json[] | Record<string, Json> | undefined);
    jsonrpc: "2.0";
    method: string;
    id: string | number;
}>;
export declare const ZPayloadRpcArray: z.ZodArray<z.ZodObject<{
    jsonrpc: z.ZodLiteral<"2.0">;
    method: z.ZodEffects<z.ZodString, {
        spaceName: string;
        methodName: string;
    }, string>;
    params: z.ZodEffects<z.ZodUnion<[z.ZodArray<z.ZodUnion<[z.ZodString, z.ZodNumber, z.ZodBoolean, z.ZodNull, z.ZodType<Json, z.ZodTypeDef, Json>]>, "many">, z.ZodRecord<z.ZodString, z.ZodUnion<[z.ZodString, z.ZodNumber, z.ZodBoolean, z.ZodNull, z.ZodType<Json, z.ZodTypeDef, Json>]>>]>, Json[], Json[] | Record<string, Json>>;
    id: z.ZodUnion<[z.ZodEffects<z.ZodString, number, string>, z.ZodNumber]>;
}, "strip", z.ZodTypeAny, {
    params: Json[];
    jsonrpc: "2.0";
    method: {
        spaceName: string;
        methodName: string;
    };
    id: number;
}, {
    params: (Json[] | Record<string, Json>) & (Json[] | Record<string, Json> | undefined);
    jsonrpc: "2.0";
    method: string;
    id: string | number;
}>, "many">;
export declare const ZPayloadRpcData: z.ZodUnion<[z.ZodObject<{
    jsonrpc: z.ZodLiteral<"2.0">;
    method: z.ZodEffects<z.ZodString, {
        spaceName: string;
        methodName: string;
    }, string>;
    params: z.ZodEffects<z.ZodUnion<[z.ZodArray<z.ZodUnion<[z.ZodString, z.ZodNumber, z.ZodBoolean, z.ZodNull, z.ZodType<Json, z.ZodTypeDef, Json>]>, "many">, z.ZodRecord<z.ZodString, z.ZodUnion<[z.ZodString, z.ZodNumber, z.ZodBoolean, z.ZodNull, z.ZodType<Json, z.ZodTypeDef, Json>]>>]>, Json[], Json[] | Record<string, Json>>;
    id: z.ZodUnion<[z.ZodEffects<z.ZodString, number, string>, z.ZodNumber]>;
}, "strip", z.ZodTypeAny, {
    params: Json[];
    jsonrpc: "2.0";
    method: {
        spaceName: string;
        methodName: string;
    };
    id: number;
}, {
    params: (Json[] | Record<string, Json>) & (Json[] | Record<string, Json> | undefined);
    jsonrpc: "2.0";
    method: string;
    id: string | number;
}>, z.ZodArray<z.ZodObject<{
    jsonrpc: z.ZodLiteral<"2.0">;
    method: z.ZodEffects<z.ZodString, {
        spaceName: string;
        methodName: string;
    }, string>;
    params: z.ZodEffects<z.ZodUnion<[z.ZodArray<z.ZodUnion<[z.ZodString, z.ZodNumber, z.ZodBoolean, z.ZodNull, z.ZodType<Json, z.ZodTypeDef, Json>]>, "many">, z.ZodRecord<z.ZodString, z.ZodUnion<[z.ZodString, z.ZodNumber, z.ZodBoolean, z.ZodNull, z.ZodType<Json, z.ZodTypeDef, Json>]>>]>, Json[], Json[] | Record<string, Json>>;
    id: z.ZodUnion<[z.ZodEffects<z.ZodString, number, string>, z.ZodNumber]>;
}, "strip", z.ZodTypeAny, {
    params: Json[];
    jsonrpc: "2.0";
    method: {
        spaceName: string;
        methodName: string;
    };
    id: number;
}, {
    params: (Json[] | Record<string, Json>) & (Json[] | Record<string, Json> | undefined);
    jsonrpc: "2.0";
    method: string;
    id: string | number;
}>, "many">]>;
export type ZodPayloadRpc = typeof ZPayloadRpc;
export type PayloadRpc = z.infer<typeof ZPayloadRpc>;
export type PayloadRpcArray = z.infer<typeof ZPayloadRpcArray>;
export type PayloadRpcData = z.infer<typeof ZPayloadRpcData>;
export declare const ZRpcResult: z.ZodObject<{
    jsonrpc: z.ZodLiteral<"2.0">;
    result: z.ZodEffects<z.ZodUnion<[z.ZodArray<z.ZodUnion<[z.ZodString, z.ZodNumber, z.ZodBoolean, z.ZodNull, z.ZodType<Json, z.ZodTypeDef, Json>]>, "many">, z.ZodRecord<z.ZodString, z.ZodUnion<[z.ZodString, z.ZodNumber, z.ZodBoolean, z.ZodNull, z.ZodType<Json, z.ZodTypeDef, Json>]>>]>, Json[], Json[] | Record<string, Json>>;
    id: z.ZodUnion<[z.ZodUnion<[z.ZodEffects<z.ZodString, number, string>, z.ZodNumber]>, z.ZodNull]>;
}, "strip", z.ZodTypeAny, {
    jsonrpc: "2.0";
    id: number | null;
    result: Json[];
}, {
    jsonrpc: "2.0";
    id: string | number | null;
    result: (Json[] | Record<string, Json>) & (Json[] | Record<string, Json> | undefined);
}>;
export type RpcResult = z.infer<typeof ZRpcResult>;
export {};
